Skip to Content
LandedFXDocs

Your swap orders, newest first

GET
/api/v1/swap/orders

Filter by reference to find the orders for one of your payments.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

reference?string

Only orders with this reference

limit?number
Range1 <= value <= 100
Default20

Response Body

application/json
  1. response
code*number

HTTP status code

message*string

Human-readable message

data?never
metadata?
errors?array<string>

Validation errors, when the request was rejected

Example Request
curl -X GET 'https://api.landedfx.com/api/v1/swap/orders'
Example Response200
{  "message": "string",  "metadata": {    "page": 1,    "limit": 20,    "totalDocs": 42,    "prevPage": null,    "nextPage": 2,    "totalPages": 3  },  "errors": [    "string"  ],  "code": 200,  "data": [    {      "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",      "reference": "string",      "provider": "relay",      "from": "string",      "to": "string",      "amountIn": 0,      "amountOut": 0,      "minAmountOut": 0,      "depositAddress": "string",      "depositMemo": "string",      "recipient": "string",      "refundTo": "string",      "state": "pending",      "final": true,      "originTxs": [        "string"      ],      "destinationTxs": [        "string"      ],      "receivedIn": 0,      "deliveredOut": 0,      "refunded": 0,      "deadline": "string",      "createdAt": "string"    }  ]}